<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for HotelContent StructType
 * @subpackage Structs
 */
class HotelContent extends AbstractStructBase
{
    /**
     * The HotelContentRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_HotelContentRQ
     */
    public $HotelContentRQ;
    /**
     * Constructor method for HotelContent
     * @uses HotelContent::setHotelContentRQ()
     * @param \StructType\JP_HotelContentRQ $hotelContentRQ
     */
    public function __construct(\StructType\JP_HotelContentRQ $hotelContentRQ = null)
    {
        $this
            ->setHotelContentRQ($hotelContentRQ);
    }
    /**
     * Get HotelContentRQ value
     * @return \StructType\JP_HotelContentRQ|null
     */
    public function getHotelContentRQ()
    {
        return $this->HotelContentRQ;
    }
    /**
     * Set HotelContentRQ value
     * @param \StructType\JP_HotelContentRQ $hotelContentRQ
     * @return \StructType\HotelContent
     */
    public function setHotelContentRQ(\StructType\JP_HotelContentRQ $hotelContentRQ = null)
    {
        $this->HotelContentRQ = $hotelContentRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\HotelContent
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
